
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}


body {
    font-family: 'Rubik', sans-serif;
    background-color: #ffffff; 
}


.container {
    display: flex;
    flex-direction: row; 
    height: 100vh;
    background-color: white; 
    transition: transform 0.3s ease; 
}


.sidebar {
    position: fixed; 
    top: 0;
    left: 0;
    width: 25%; 
    height: 100vh;
    background-color: white; 
    display: flex;
    flex-direction: column;
    justify-content: space-between; 
    padding: 55px 25px 20px 50px; 
    overflow-y: auto; 
    z-index: 999; 
}


.menu h1 a {
    text-decoration: none;
    color: black;
    font-weight: 700;
}

.menu h1 {
    font-size: 20px;
    font-weight: 500;
    letter-spacing: 1px;
    margin-bottom: 5px;
}

.menu p {
    font-size: 13px;
    margin-bottom: 50px; 
}


nav ul {
    list-style-type: none;
}

nav ul li {
    margin-bottom: 2px;
    position: relative;
}


nav ul li a {
    text-decoration: none;
    color: black;
    font-size: 15px;
    letter-spacing: 1px;
    padding-bottom: 5px;
    display: inline-block;
    border-bottom: 2px solid transparent;
}

nav ul li a:hover {
    border-bottom: 2px solid black;
}

nav ul li a.active {
    border-bottom: 2px solid black;
}


.submenu {
    display: none;
    position: absolute;
    top: 0;
    left: 30%;
    padding-left: 0px;
    list-style: none;
}

.submenu li a {
    font-size: 13px;
    letter-spacing: 0.5px;
}

.menu-item:hover .submenu {
    display: block;
}


footer {
    text-align: left;
    font-size: 12px;
    color: #999;
    margin-left: 10px; 
}

footer .social-media {
    margin-top: 10px;
}

footer .social-media a {
    margin-right: 10px;
    color: #333;
    font-size: 20px;
}


.main-content {
    margin-left: 30%; 
    width: 60%; 
    display: flex;
    align-items: flex-start; 
    justify-content: flex-start; 
    background-color: white; 
    padding: 50px 20px; 
    transition: transform 0.3s ease; 
    z-index: 997; 
    position: relative;
}


.carousel-image {
    max-width: 100%;
    height: auto;
    object-fit: cover;
    align-self: flex-start;
    margin-left: 50px;
}


.hamburger {
    display: none;
}


@media only screen and (max-width: 1024px) {
    .container {
        margin-top: 45px;
        flex-direction: column; 
        transition: transform 0.3s ease; 
    }
    .carousel-image{
        margin-top: 0px;
        margin-left:0px;
    }
    .main-content.active .carousel-image {
        margin-top: 0px;
    }

    .sidebar {
        position: fixed; 
        top: 0;
        left: 0;
        width: 100%; 
        height: 0; 
        overflow: hidden; 
        transition: height 0.3s ease; 
        z-index: 999;
    }

    
    .sidebar.active {
        height: 300px; 
    }

    
    .main-content.active {
        transform: translateY(300px); 
    }

    .hamburger {
        display: block;
        position: fixed;
        top: 15px;
        left: 15px;
        font-size: 24px;
        cursor: pointer;
        z-index: 1000;
    }

    
    .main-content {
        margin-left: 0; 
        width: 100%; 
        padding: 15px; 
        padding-top: 30px; 
    }

    
    .menu h1 {
        text-align: left;
        font-size: 18px; 
        margin-top: 20px; 
        margin-left: 15px;
    }

    .menu p {
        text-align: left;
        font-size: 12px; 
        margin-left: 15px;
        margin-top: 0px; 
        margin-bottom: 5px; 
    }

    nav ul {
        padding-left: 15px;
    }

    nav ul li a {
        font-size: 13px; 
    }

   
    footer {
        margin-left: 15px; 
        margin-top: 10px; 
    }

    .social-media {
        margin-left: 0px; 
        margin-top: 10px; 
    }

    .social-media a {
        margin-right: 10px;
    }
}


@media only screen and (max-width: 768px) {
    .sidebar {
        margin-top: 0px;
        padding: 10;
        margin: 0px;
        height: 0; 
        overflow: hidden; 
        transition: height 0.3s ease;
        z-index: 999;
    }
    .carousel-image{
        margin-top: 0px;
        margin-left: 0px;
    }
    .main-content.active .carousel-image {
        margin-top: 0px;
    }

    .sidebar.active {
        height: 300px; 
    }

    
    .main-content.active {
        transform: translateY(300px); 
    }

    .hamburger {
        display: block;
        position: fixed;
        top: 15px;
        left: 15px;
        font-size: 24px;
        cursor: pointer;
        z-index: 1000;
    }

    
    .menu h1 {
        text-align: left;
        font-size: 16px; 
        margin-top: 20px; 
        margin-left: 15px;
    }

    .menu p {
        text-align: left;
        font-size: 11px; 
        margin-left: 15px;
        margin-top: 0px; 
        margin-bottom: 5px; 
    }

    nav ul {
        padding-left: 15px; 
    }

    nav ul li a {
        font-size: 11px; 
    }

    .main-content {
        width: 100%;
        padding: 15px; 
        padding-top: 30px; 
    }

   
    footer {
        margin-left: 15px; 
        margin-top: 15px; 
    }

    .social-media {
        margin-left: 0px; 
        margin-top: 10px; 
    }

    .social-media a {
        margin-right: 10px; 
    }
}


.about-container {
    padding: 20px; 
    line-height: 1.6; 
}

.about-container h2 {
    font-size: 20px; 
    margin-top: 20px; 
}

.about-container h3 {
    font-size: 16px; 
    margin-top: 20px; 
}

.about-container p {
    font-size: 14px; 
    margin-bottom: 15px; 
}

.about-container a {
    color: black; 
    text-decoration: none; 
}

.about-container a:hover {
    text-decoration: underline;
}
